## Create URL to bulk upload inventory

### cURL

```bash
curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/aws/upload-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "fileName": "45162930812_inventory"
}
'  
```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/aws/upload-url"

payload = { "fileName": "45162930812_inventory" }
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({fileName: '45162930812_inventory'})
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/aws/upload-url', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200**
- **400**
- **404**
- **500**

### Example Responses

```json
{
  "keyId": "981628612_inventory",
  "url": "https://url.com/qwertyuioplkjhgfds"
}
```

```json
{
  "message": "Invalid request payload or parameter"
}
```

```json
{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
```

```json
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
```

### Authorizations

- **Authorization**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-site-context**:  A JSON object containing contextual information. An `account` ID,  `channel`, `stage`, and `date` attributes can narrow your data source.

### Body

- **fileName**: The name of the file to be uploaded.

### Response Structure

**200**
- **keyId**: Automatically generated associated file name.
- **url**: The upload URL.
